Source build of NetBeans IDE for Java. Uses recent Ant upgrade to make source
version explicit. Updated and OK kurt@.
This commit is contained in:
parent
756ec2e06b
commit
946f0078fb
49
devel/netbeans/Makefile
Normal file
49
devel/netbeans/Makefile
Normal file
@ -0,0 +1,49 @@
|
||||
# $OpenBSD: Makefile,v 1.1.1.1 2007/01/12 16:29:51 ian Exp $
|
||||
|
||||
COMMENT= "NetBeans Java IDE"
|
||||
|
||||
DISTNAME= netbeans-5_5-ide_sources
|
||||
PKGNAME= netbeans-5.5
|
||||
CATEGORIES= devel
|
||||
|
||||
HOMEPAGE= http://www.netbeans.org/
|
||||
|
||||
MAINTAINER= Ian Darwin <ian@openbsd.org>
|
||||
|
||||
# CDDL
|
||||
PERMIT_PACKAGE_CDROM= "CDDL"
|
||||
PERMIT_PACKAGE_FTP= Yes
|
||||
PERMIT_DISTFILES_CDROM= "CDDL"
|
||||
PERMIT_DISTFILES_FTP= Yes
|
||||
|
||||
MASTER_SITES= http://us2-mirror.netbeans.info/download/5_5/mlfcs/200612070100/
|
||||
EXTRACT_SUFX= .zip
|
||||
|
||||
VMEM_WARNING= Yes
|
||||
|
||||
MODULES= java
|
||||
MODJAVA_VER= 1.5+
|
||||
|
||||
USE_ZIP= Yes
|
||||
|
||||
BUILD_DEPENDS= :apache-ant->=1.7.0:devel/apache-ant
|
||||
|
||||
MAKE_ENV= JAVA_HOME=${JAVA_HOME} \
|
||||
ANT_HOME=${LOCALBASE}/ant
|
||||
|
||||
NO_REGRESS= Yes
|
||||
|
||||
WRKDIST= ${WRKDIR}/netbeans-src
|
||||
|
||||
do-build:
|
||||
@cd ${WRKDIST}/nbbuild && exec ${SETENV} ${MAKE_ENV} ant -v \
|
||||
-Dant.build.javac.source="1.5" -Dant.build.javac.target="1.5"
|
||||
|
||||
do-install:
|
||||
@rm -f ${WRKDIST}/nbbuild/netbeans/bin/*.{cmd,exe}
|
||||
@tar -czf - -C ${WRKDIST}/nbbuild netbeans | tar xzf - -C ${PREFIX}
|
||||
@sed -e "s+%%NETBEANS_HOME%%+${TRUEPREFIX}/netbeans+g" \
|
||||
${WRKBUILD}/netbeans.in > ${WRKBUILD}/netbeans.tmp
|
||||
${INSTALL_SCRIPT} ${WRKBUILD}/netbeans.tmp ${PREFIX}/bin/netbeans
|
||||
|
||||
.include <bsd.port.mk>
|
4
devel/netbeans/distinfo
Normal file
4
devel/netbeans/distinfo
Normal file
@ -0,0 +1,4 @@
|
||||
MD5 (netbeans-5_5-ide_sources.zip) = 315be9c1cd3e8f2c043b6988fb50cfcc
|
||||
RMD160 (netbeans-5_5-ide_sources.zip) = d93d4ac98c0a4a07c8720bd766f4eb27efaa0afc
|
||||
SHA1 (netbeans-5_5-ide_sources.zip) = 5fb045648f659f4a543026bdc1a5a63a3ac853b6
|
||||
SIZE (netbeans-5_5-ide_sources.zip) = 161324200
|
26
devel/netbeans/patches/patch-core_launcher_unix_nbexec
Normal file
26
devel/netbeans/patches/patch-core_launcher_unix_nbexec
Normal file
@ -0,0 +1,26 @@
|
||||
$OpenBSD: patch-core_launcher_unix_nbexec,v 1.1.1.1 2007/01/12 16:30:04 ian Exp $
|
||||
--- core/launcher/unix/nbexec.orig Mon Jan 8 19:32:04 2007
|
||||
+++ core/launcher/unix/nbexec Mon Jan 8 19:33:05 2007
|
||||
@@ -277,18 +277,18 @@ detect_gnome_proxy () {
|
||||
detect_kde_proxy () {
|
||||
kioslaverc="${HOME}/.kde/share/config/kioslaverc"
|
||||
if [ -f $kioslaverc ] ; then
|
||||
- if /bin/grep -q 'ProxyType=1' "$kioslaverc" ; then
|
||||
- http_proxy=`/bin/grep 'httpProxy=http://' "$kioslaverc"`
|
||||
+ if /usr/bin/grep -q 'ProxyType=1' "$kioslaverc" ; then
|
||||
+ http_proxy=`/usr/bin/grep 'httpProxy=http://' "$kioslaverc"`
|
||||
if [ $? ] ; then
|
||||
http_proxy=`echo $http_proxy | /bin/sed 's/httpProxy=http:\/\///'`
|
||||
return 0
|
||||
fi
|
||||
- http_non_proxy_hosts=`/bin/grep 'NoProxyFor=' "$kioslaverc"`
|
||||
+ http_non_proxy_hosts=`/usr/bin/grep 'NoProxyFor=' "$kioslaverc"`
|
||||
if [ $? ] ; then
|
||||
http_non_proxy_hosts=`echo $http_non_proxy_hosts | /bin/sed 's/NoProxyFor=//'`
|
||||
fi
|
||||
else
|
||||
- if /bin/grep -q 'ProxyType=0' "$kioslaverc" ; then
|
||||
+ if /usr/bin/grep -q 'ProxyType=0' "$kioslaverc" ; then
|
||||
http_proxy="DIRECT"
|
||||
return 0
|
||||
fi
|
12
devel/netbeans/patches/patch-nbbuild_templates_common_xml
Normal file
12
devel/netbeans/patches/patch-nbbuild_templates_common_xml
Normal file
@ -0,0 +1,12 @@
|
||||
$OpenBSD: patch-nbbuild_templates_common_xml,v 1.1.1.1 2007/01/12 16:30:04 ian Exp $
|
||||
--- nbbuild/templates/common.xml.orig Mon Jan 8 20:35:51 2007
|
||||
+++ nbbuild/templates/common.xml Mon Jan 8 20:36:08 2007
|
||||
@@ -85,7 +85,7 @@ Microsystems, Inc. All Rights Reserved.
|
||||
|
||||
<target name="compile" depends="init">
|
||||
<mkdir dir="${build.classes.dir}"/>
|
||||
- <javac srcdir="${src.dir}" destdir="${build.classes.dir}" debug="${build.compiler.debug}" debuglevel="${build.compiler.debuglevel}" deprecation="${build.compiler.deprecation}" optimize="${build.compiler.optimize}" source="${javac.source}" target="${javac.target}" includeantruntime="false">
|
||||
+ <javac srcdir="${src.dir}" destdir="${build.classes.dir}" debug="${build.compiler.debug}" debuglevel="${build.compiler.debuglevel}" deprecation="${build.compiler.deprecation}" optimize="${build.compiler.optimize}" source="${javac.source}" target="${javac.target}" includeantruntime="false" fork="true">
|
||||
<classpath refid="cp"/>
|
||||
<compilerarg line="${javac.compilerargs}"/>
|
||||
</javac>
|
30
devel/netbeans/patches/patch-netbeans_in
Normal file
30
devel/netbeans/patches/patch-netbeans_in
Normal file
@ -0,0 +1,30 @@
|
||||
$OpenBSD: patch-netbeans_in,v 1.1.1.1 2007/01/12 16:30:04 ian Exp $
|
||||
--- netbeans.in.orig Mon Jan 8 16:01:29 2007
|
||||
+++ netbeans.in Mon Jan 8 16:09:23 2007
|
||||
@@ -0,0 +1,26 @@
|
||||
+#!/bin/sh
|
||||
+#
|
||||
+# $OpenBSD: patch-netbeans_in,v 1.1.1.1 2007/01/12 16:30:04 ian Exp $
|
||||
+#
|
||||
+# OpenBSD-specific startup script for NetBeans IDE
|
||||
+
|
||||
+NETBEANS_HOME=%%NETBEANS_HOME%%
|
||||
+
|
||||
+#-----------------------------------------------------------------------------
|
||||
+# Determine configuration settings
|
||||
+#-----------------------------------------------------------------------------
|
||||
+
|
||||
+JAVA_HOME=`javaPathHelper -h netbeans`
|
||||
+
|
||||
+if [ -z "${JAVA_HOME}" ]; then
|
||||
+ exit 1
|
||||
+fi
|
||||
+
|
||||
+# Check if 'netbeans' executable can be found
|
||||
+if [ ! -x "${NETBEANS_HOME}/bin/netbeans" ]; then
|
||||
+ echo "Error: NETBEANS_HOME is not defined correctly: ${NETBEANS_HOME}"
|
||||
+ echo " Unable to find launcher binary"
|
||||
+ exit 1
|
||||
+fi
|
||||
+
|
||||
+PATH=${JAVA_HOME}/bin:$PATH exec "${NETBEANS_HOME}/bin/netbeans" --jdkhome ${JAVA_HOME} $@
|
14
devel/netbeans/pkg/DESCR
Normal file
14
devel/netbeans/pkg/DESCR
Normal file
@ -0,0 +1,14 @@
|
||||
Netbeans is Sun's official Java IDE.
|
||||
|
||||
"NetBeans IDE includes comprehensive support for developing IDE
|
||||
plug-in modules and rich client applications based on the NetBeans
|
||||
platform. It also includes the intuitive GUI builder Matisse,
|
||||
redesigned CVS support, support for Sun Application Server 8.2,
|
||||
Weblogic9 and JBoss 4, and many editor enhancements including new
|
||||
refactorings. NetBeans IDE is a robust, open source Java IDE
|
||||
that has everything software developers need to develop cross-platform
|
||||
desktop, web and mobile applications straight out of the box. ..."
|
||||
|
||||
NetBeans is modular, and many add-ons can be downloaded from
|
||||
netbeans.org. NetBeans is also used as the platform for many of
|
||||
Sun's commercial development environments.
|
1379
devel/netbeans/pkg/PLIST
Normal file
1379
devel/netbeans/pkg/PLIST
Normal file
File diff suppressed because it is too large
Load Diff
Loading…
Reference in New Issue
Block a user